Bug 1650427 - Review Request: perl-URI-Nested - Perl support for nested URIs
Summary: Review Request: perl-URI-Nested - Perl support for nested URIs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1650428
TreeView+ depends on / blocked
 
Reported: 2018-11-16 07:01 UTC by Emmanuel Seyman
Modified: 2018-12-05 12:36 UTC (History)
2 users (show)

Fixed In Version: perl-URI-Nested-0.10-1.fc30, perl-URI-Nested-0.10-1.fc29, perl-URI-Nested-0.10-1.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-05 12:36:46 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Emmanuel Seyman 2018-11-16 07:01:12 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-URI-Nested/perl-URI-Nested.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-URI-Nested/perl-URI-Nested-0.10-1.fc29.src.rpm
Description:
This class provides support for nested URIs, where the scheme is a
prefix, and the remainder of the URI is another URI. Examples include
JDBC URIs and database URIs.

Fedora Account System Username: eseyman
Rpmlint Output: 1 packages and 1 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jitka Plesnikova 2018-11-16 14:20:50 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed
BuildRequires are ok

$ rpm -qp --requires perl-URI-Nested-0.10-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.28.1)
      1 perl(:VERSION) >= 5.8.1
      1 perl(overload) 
      1 perl(strict)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1 
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -qp --provides perl-URI-Nested-0.10-1.fc30.noarch.rpm | sort | uniq -c
      1 perl(URI::Nested) = 0.10
      1 perl-URI-Nested = 0.10-1.fc30
Binary provides are Ok.

$ rpmlint ./perl-URI-Nested*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

The package looks good.
Approved

Comment 2 Gwyn Ciesla 2018-11-16 15:16:56 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/perl-URI-Nested

Comment 3 Emmanuel Seyman 2018-11-18 07:25:18 UTC
Updates released for F29 and F28.


Note You need to log in before you can comment on or make changes to this bug.